# Control de LED Beagle Bone Black

## Este programa permite encender o apagar el LED 3 de la Beagle Bone Black por un programa de python

![](leds.png)

Se comienza por importat librerías y declarar el path a seguir para
manipular el LED 3.
```python 
#!/usr/bin/python
import sys #reconocer lo que hay en la terminal
import time 
LED_PATH = "/sys/class/leds/beaglebone:green:usr3"
```
Si se desea manipular algún otro LED solamente se necesita cambiar el PATH de la siguiente manera:
```python
LED_PATH = "/sys/class/leds/beaglebone:green:usr0"
LED_PATH = "/sys/class/leds/beaglebone:green:usr1"
LED_PATH = "/sys/class/leds/beaglebone:green:usr2"
LED_PATH = "/sys/class/leds/beaglebone:green:usr3"
```
Se remueve el trigger:

```python
def removeTrigger():
    writeLED("/trigger","none")
    return
```

A continuación se leen los argumentos. Si es "on" se enciende el LED, si es "off" se apaga
y si es "blink" se enciende y apaga. Para esto se hizo uso de time.sleep.


```python
print("Starting App")
#removeTrigger()
#writeLED("/brightness", "1")
#print("LED3 on")
#print("Finish App")
if len(sys.argv)!=2:
    print("Incorrect number of arguments")
    sys.exit(2)
    
if sys.argv[1] == "on":
    print("LED on")
    removeTrigger()
    writeLED("/brightness", "1")
    print("LED3 on")
elif sys.argv[1] == "off":
    print("LED off")
    removeTrigger()
    writeLED("/brightness", "0")
    print("LED3 off")
elif sys.argv[1]=="b":
    print("blinking")
    removeTrigger()
elif sys.argv[1]=="b":
    print("blinking")
    removeTrigger()
    writeLED("/trigger", "timer")
    writeLED("/delay_on","500")
    writeLED("/delay_off","500")
        
else:
    print("Wrong command!!!")
    
print("Script done")    
```
Después de esto se guarda el archivo y se le dan permisos de ejecución con el comando:

```sh
sudo chmod u+x Nombre_del_archivo.py
```
Finalmente para ejecutar el archivo en la Beagle Bone se utiliza el siguiente comando, en este ejemplo se le da el argumento para encender el LED:

```sh
./Nombre_del_archivo.py on
```
Para apagar el LED se utiliza el siguiente comando:

```sh
./Nombre_del_archivo.py off
```

Para hacer parpadear el LED se utiliza el siguiente comando:

```sh
./Nombre_del_archivo.py b
```